{
    "defects": [
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 579,
                    "column": 15,
                    "event": "warning[core.NullDereference]",
                    "message": "Access to field 'sv_flags' results in a dereference of a null pointer (loaded from variable 'sv_pattern')",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/utf8.h",
                    "line": 938,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'DO_UTF8'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 1070,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'SvUTF8'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 374,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'SvFLAGS'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 512,
                    "column": 5,
                    "event": "note",
                    "message": "'sv_pattern' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 520,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 're_pattern_cv' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 520,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 528,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/pp.h",
                    "line": 122,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'PUSHMARK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4254,
                    "column": 45,
                    "event": "note",
                    "message": "expanded from macro 'UNLIKELY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4233,
                    "column": 45,
                    "event": "note",
                    "message": "expanded from macro 'EXPECT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 528,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/pp.h",
                    "line": 122,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'PUSHMARK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 529,
                    "column": 9,
                    "event": "note",
                    "message": "1 is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/pp.h",
                    "line": 559,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'XPUSHs'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/pp.h",
                    "line": 462,
                    "column": 39,
                    "event": "note",
                    "message": "expanded from macro 'EXTEND'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/pp.h",
                    "line": 443,
                    "column": 36,
                    "event": "note",
                    "message": "expanded from macro '_EXTEND_NEEDS_GROW'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4254,
                    "column": 58,
                    "event": "note",
                    "message": "expanded from macro 'UNLIKELY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 155,
                    "column": 31,
                    "event": "note",
                    "message": "expanded from macro 'cBOOL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4233,
                    "column": 62,
                    "event": "note",
                    "message": "expanded from macro 'EXPECT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 529,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/pp.h",
                    "line": 559,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'XPUSHs'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/pp.h",
                    "line": 462,
                    "column": 39,
                    "event": "note",
                    "message": "expanded from macro 'EXTEND'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/pp.h",
                    "line": 443,
                    "column": 36,
                    "event": "note",
                    "message": "expanded from macro '_EXTEND_NEEDS_GROW'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 529,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/pp.h",
                    "line": 559,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'XPUSHs'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/pp.h",
                    "line": 462,
                    "column": 39,
                    "event": "note",
                    "message": "expanded from macro 'EXTEND'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/pp.h",
                    "line": 443,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro '_EXTEND_NEEDS_GROW'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4254,
                    "column": 58,
                    "event": "note",
                    "message": "expanded from macro 'UNLIKELY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 155,
                    "column": 31,
                    "event": "note",
                    "message": "expanded from macro 'cBOOL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4233,
                    "column": 62,
                    "event": "note",
                    "message": "expanded from macro 'EXPECT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 529,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/pp.h",
                    "line": 559,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'XPUSHs'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/pp.h",
                    "line": 462,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'EXTEND'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 533,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'count' is < 2",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 533,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 540,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'Itmps_ix' is <= field 'Itmps_floor'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/scope.h",
                    "line": 118,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'FREETMPS'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/embedvar.h",
                    "line": 326,
                    "column": 49,
                    "event": "note",
                    "message": "expanded from macro 'PL_tmps_ix'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 540,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/scope.h",
                    "line": 118,
                    "column": 18,
                    "event": "note",
                    "message": "expanded from macro 'FREETMPS'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 542,
                    "column": 13,
                    "event": "note",
                    "message": "'sv_pattern' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 542,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 579,
                    "column": 15,
                    "event": "note",
                    "message": "Access to field 'sv_flags' results in a dereference of a null pointer (loaded from variable 'sv_pattern')",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/utf8.h",
                    "line": 938,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'DO_UTF8'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 1070,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'SvUTF8'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 374,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'SvFLAGS'",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 700,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'i' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 700,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'i' is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 1212,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'apad' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 1212,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 'apad' is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 1465,
                    "column": 27,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'val' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Data-Dumper-2.189-build/Data-Dumper-2.183/Dumper.xs",
                    "line": 1465,
                    "column": 27,
                    "event": "note",
                    "message": "Value stored to 'val' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        }
    ]
}
